MarketModelCashRebate Class Reference

`#include <ql/models/marketmodels/products/multistep/cashrebate.hpp>`

Inheritance diagram for MarketModelCashRebate:
[legend]

## Public Member Functions

| MarketModelCashRebate (const EvolutionDescription &evolution, const std::vector< Time > &paymentTimes, const Matrix &amounts, Size numberOfProducts)

## MarketModelMultiProduct interface

std::vector< Size > | suggestedNumeraires () const
const EvolutionDescription & | evolution () const
std::vector< Time > | possibleCashFlowTimes () const
Size | numberOfProducts () const
Size | maxNumberOfCashFlowsPerProductPerStep () const
void | reset ()
| during simulation put product at start of path
bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
std::auto_ptr< MarketModelMultiProduct > | clone () const
| returns a newly-allocated copy of itself

## Detailed Description

Class to model receipt of a fixed cash amount once. Product terminates immediately. Mainly useful as rebate received when another product is cancelled.